Skip to Content

GET /api/v1/offers/:id

Get a single offer by its ID.

Authentication: None

Cache: None

Path Parameters

ParameterTypeRequiredDescription
idnumberYesOffer ID

Sample Request

curl https://api.grails.app/api/v1/offers/99

Response

// 200 OK { "success": true, "data": { "id": 99, "ens_name_id": 1, "buyer_address": "0x1234...", "offer_amount_wei": "50000000000000000", "currency_address": "0x0000000000000000000000000000000000000000", "order_hash": "0xabc123...", "order_data": { ... }, "status": "pending", "created_at": "2026-04-07T12:00:00.000Z", "expires_at": "2026-05-01T00:00:00.000Z", "source": "grails", "last_validated_at": "2026-04-07T13:00:00.000Z", "unfunded_at": null, "unfunded_reason": null, "name": "example.eth", "token_id": "12345..." }, "meta": { "timestamp": "2026-04-07T12:00:00.000Z", "version": "1.0.0" } }

Error Responses

StatusCodeDescription
404OFFER_NOT_FOUNDOffer not found
Last updated on